package com.sooka.sponest.event.centereventteventcatalogue.service;

import com.dahuatech.icc.exception.ClientException;
import com.sooka.sponest.event.centereventteventcatalogue.domain.DaHuaEventBO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.dahua.DaHuaFireEventVO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.dahua.DaHuaOtherEventVO;
import com.sooka.sponest.event.centereventteventcatalogue.domain.haikang.EventsVo;
import com.sooka.sponest.event.centereventteventcatalogue.domain.haikang.HaiKangEventVo;
import com.sooka.sponest.event.centereventteventcatalogue.domain.sensor.SensorEventVo;
import com.sooka.sponest.event.centereventteventcatalogue.domain.tower.TowerEventVo;

public interface AlarmEventService {

    // 海康火情事件
    String insertHaiKangFireEvent(EventsVo eventsVo);

    // 海康城管事件
    String insertHaiKangCityEvent(HaiKangEventVo haiKangEventVo);


    // 大华火情事件
    String insertDaHuaEvent(DaHuaFireEventVO daHuaFireEventVO);

    // 大华火情事件-图片回查
    String updateFireEventImage(DaHuaEventBO eventBO) throws ClientException;

    // 大华5300事件
    String insertDaHuaOtherEvent(DaHuaOtherEventVO daHuaOtherEventVO);

    // 铁塔事件
    String insertTowerEvent(TowerEventVo towerEventVo);

    // 铁塔事件-图片回查
    String updateFireEventImage(TowerEventVo towerEventVo, String logId);


    // 传感器事件
    String insertSensorEvent(SensorEventVo sensorEventVo);

    // 住建事件
    String insertHousingConstructionEvent(SensorEventVo sensorEventVo);
}
